Subject: Re: Translation
From: "Mike" <[email-masked]>
To: <[email-masked]>
Date: Wed, 19 Nov 2008 18:25:42 -0500

Yes.  I may have a partial page that needs to be done.  I have to organize everything and determine where I am with all of this.  I will let you know asap.
Thank you,
Mike
  ----- Original Message ----- 
  From: [email-masked] 
  To: [email-masked] 
  Sent: Wednesday, November 19, 2008 5:27 PM
  Subject: Translation

  Did you get the translations I sent you this morning?  I sent 3 documents.

  doris

------------------------------------------------------------------------------
  Traveling over the river or through the woods this holiday season? Get the MapQuest Toolbar. Directions, Traffic, Gas Prices & More!